<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }



?>
<?php
echo"<script language=\"JavaScript\" src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js\"></script>"
. "<script language='JavaScript' src='../scripts/validadorvoucher.js'></script>";
echo "<script language='JavaScript' src='../scripts/eventoani.js'></script>";
if(!isset($_POST['escon'])){
echo "
<center>
 <h1>Reservacion de habitacion Evento Aniversario 2016</h1>
    <form method='post' action='Reservaciones.php'>
     <label></label>
     <input placeholder='RFC' name='titular' id='titular' onchange='verifi()'>
     <select name='opc'>
     <option value='1'>RFC(Inversionista)</option>
     <option value='2'>RFC(No Registrado)</option>
         </select>
     <input type='submit' value='Siguiente' id='conti' disabled>
     </form>
     </center>"

     ;

}
$ops=$_POST['opc'];
$titu=$_POST['titular'];


if($ops==1)
{ $dd="select * from Apartado where rfc='$titu'";
  $ddd=mysql_query($dd) or die("Error consulta #87745: ".mysql_error());
  if(mysql_affected_rows()){
      echo "<center><font size='10' color='RED'>ESTA PERSONA YA TIENE UNA RESERVACI&Oacute;N HECHA A SU NOMBRE</font></center>";
  }
  else{
  $comparestr=strtoupper($titu);
  $busqueda="SELECT * from inversionista where rfc='$comparestr'";
  $checkrfc=mysql_query($busqueda);
  $retrfc=mysql_fetch_object($checkrfc);
 $qR="SELECT * from regs2 where id_inver='$retrfc->id_inver' and status='0' ";
  $qReg=mysql_query($qR);
  $rReg=mysql_fetch_object($qReg);

    if($retrfc->rfc==$comparestr)
  {


    echo" 
    <center>
 
        
        <form id='enviar' method='post' action='Reservaciones.php'>
        <label>RFC:</label>
        <input type='text' name='rfcs' value='$titu' disabled>
        <input type='hidden' name='envirfc' value='$titu'>
        <br>   
        <label>Apellido Paterno:</label>
        <input type='text' value='$retrfc->appat'    disabled>
        <label>Apellido Materno:</label>
        <input type='text' value='$retrfc->apmat'   disabled>
        <label>Nombre:</label>
        <input type='text' value='$retrfc->nombre'  disabled>
        <input type='hidden' value='$retrfc->id_inver' name='id_in'>
        <input type='hidden' value='$retrfc->appat'  name='ap'  >
 
        <input type='hidden' value='$retrfc->apmat'  name='am'>

        <input type='hidden' value='$retrfc->nombre'  name='nn'>
        <br>
        <label>Concepto</label>
        <select>
        <option >Evento Aniversario</option>
        </select>
        <label>Tipo de habitacion</label>
        <select id='habi' name='habi' onchange='precios()'>
        <option value='0' >-</option>
        <option value='1'>Sencilla</option>
        <option value='2'>Doble</option>
        </select>
        <label>Numero de habitaciones</label>
        <input type='text' name='numer' id='numer' value='1' onchange='precios()'>
        <br>
        <label>Anticipo</label>
        <input type='text' name='anti' id='anti' value='0' onchange='verifvouc()'>
        <select id='tipop' name='tipop' onchange='tipopago()'>
        <option value='0'>Efectivo</option>
        <option value='1'>Deposito</option>
        <option value='2'>Tarjeta</option>
        <option value='3'>Voucher</option>
        </select>
        <br>
        <label>Voucher</label>
        <input type='text' value='' placeholder='No.Voucher' id='vouch' name='vouchs' disabled><input type='button' id='validavo' value='Validar' onclick='validarvoueve();' disabled>
        <label>Disponible $:</label><label id='mostrarvalor'></label>
        <input type='hidden' id='valorvou' name='valorvouc'>
        <br>
        <label id='fichafo'>Folio de ficha de deposito:</label>
        <input type='text' name='foliofic' id='foliofic' disabled>
        <select id='banco' name='banco' disabled>
        <option value='4'>ScotiaBank</option>
        <option value='3'>HSBC</option>
        </select>
        <br>
        <input name='registrpedrfc' type='hidden' value='1'>
        <label>Total:</label>
        <input id='total' value='0' name='total'>

        <input type='submit' value='Reservar' id='confirm'>
        </form>




</center>

    ";
  }
  else
  {
    echo "
<center>
    No existe ese distribuidor
    </center>"
    ;
  }


  }

}

elseif($ops==2)
{
  echo" 
    <center>
   
        
        <form id='enviar' method='post' action='Reservaciones.php'>
        <label>RFC:</label>
        <input type='text' name='rfcs' value='$titu' disabled>
        <br>
        <label>Nombre Completo:</label>
        <input type'text' value=' ' >
        <br>
        <input type='hidden' name='envirfc' value='$titu'>
        <label>Concepto</label>
        <select>
        <option >Evento Aniversario</option>
        </select>
        <label>Tipo de habitacion</label>
        <select id='habi' name='habi' onchange='precios()'>
        <option value='0' >-</option>
        <option value='1'>Sencilla</option>
        <option value='2'>Doble</option>
        </select>
        <label>Numero de habitaciones</label>
        <input type='text' name='numer' id='numer' value='1' onchange='precios()'>
        <br>
        <label>Anticipo</label>
        <input type='text' name='anti' id='anti' value='0' onchange='verifvouc()'>
        <select id='tipop' name='tipop' onchange='tipopago()'>
        <option value='0'>Efectivo</option>
        <option value='1'>Deposito</option>
        <option value='2'>Tarjeta</option>
        <option value='3'>Voucher</option>
        </select>
        <br>
        <label>Voucher</label>
        <input type='text' value='' placeholder='No.Voucher' id='vouch' name='vouchs' disabled>
        <input type='button' id='validavo' value='Validar' onclick='validarvoueve();' disabled>
        <label>Disponible $:</label><label id='mostrarvalor'></label>
        <input type='hidden' id='valorvou' name='valorvouc'>
        <br>
        <label id='fichafo'>Folio de ficha de deposito:</label>
        <input type='text' name='foliofic' id='foliofic' disabled>
        <select id='banco' name='banco' disabled>
        <option value='4'>ScotiaBank</option>
        <option value='3'>HSBC</option>
        </select>
        <br>
        <input name='registrpedrfc' type='hidden' value='1'>
        <label>Total:</label>
        <input id='total' value='0' name='total'>

        <input type='submit' value='Reservar' id='confirm'>
        </form>


</center>

    ";

}




if(($_POST['registrpedrfc'])=='1')
{
   date_default_timezone_set("America/Mexico_City");
  $ifolio=0;
  $rfcss=$_POST['envirfc'];
  $totalant=$_POST['anti'];
  $totalfinal=$_POST['total'];
  $tipopago=$_POST['tipop'];
  $numhab=$_POST['numer'];
  $tipohab=$_POST['habi'];
  $nn=$_POST['nn'];
  $ap=$_POST['ap'];
  $am=$_POST['am'];
  $x=0;
  $banco=$_POST['banco'];
  $preciohab1=0;
  $abonando=$totalant;
 $inversionistaid=$_POST['id_in'];
 $voucher=$_POST['vouchs'];

$switchtipopago=intval($tipopago);


$pago_ef=0; 
$pago_de=0; 
$pago_tc=0;
$pago_re=0; 
$pago_vo=0; 
$pago_xp=0;

 switch($switchtipopago)
        {
          
          case 0: $pago_ef=$totalant;
          $tipop="EFECTIVO"; 
          break;
          case 1: $pago_de=$totalant;
          $ifolio=$_POST['foliofic'];
          $tipop="DEPOSITO";
          if($banco=='4')
          {
            $ibanco=4;
          }
          else{
            $ibanco=3;
          }
          break;
          case 2: $pago_tc=$totalant;
          $tipop="TARJETA";
           break;
           case 3:
           $selectvoucher="SELECT * from voucher where idv='$voucher'";
           $QVou=mysql_query($selectvoucher);
           $ObVou=mysql_fetch_object($QVou);
           $restante=$ObVou->restante-$totalant;
           $pago_vo=$totalant;
           $tipop="VOUCHER";
           break;
     
          
        }


  $apartar="INSERT INTO Apartado (id_inver,RFC,tipo_hab,costo,anticipo,fecha_ap,tipo_per,cd_venta) values ('$inversionistaid','$rfcss','$tipohab','$totalfinal','$totalant',curdate(),'5','$dato[0]')";
  $liquidadocounter=0;
  try{
   mysql_query($apartar);
   $id=mysql_insert_id();

while($x<$numhab)
{

if($tipohab=='1')
{

  $preciohab1=4500;
  if($abonando<$preciohab1)
  {
  $abn=$preciohab1-$abonando;//restante
  $abn1=$preciohab1-$abn;
  $abonando=$abonando-$preciohab1;
  if($abonando<0)
  {
    $abonando=0;
  }
  $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago) values ('$id','$abn1','$abn',curdate(),'$tipopago')";
  
  mysql_query($abonor);
}
if($abonando>=$preciohab1)
{
 $liquidadocounter++;
  $date = date('Y-m-d H:i:s');
  $abn=$abonando-$preciohab1;
   $abonando=$abonando-$preciohab1;
   $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,liquidado,fecha_liquid) values ('$id','$abn','0',curdate(),'$tipopago','1','$date')";
  mysql_query($abonor);

}

}
  

if($tipohab=='2')
{
  $preciohab1=3500;
  if($abonando<$preciohab1)
  {
  $abn=$preciohab1-$abonando;//restante
  $abn1=$preciohab1-$abn;
  $abonando=$abonando-$preciohab1;
  if($abonando<0)
  {
    $abonando=0;
  }
  $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,abono2,restante2,fecha_abono2,tipo_pago2) "
          . "values ('$id','$abn1','$abn',curdate(),'$tipopago','0','$preciohab1',curdate(),'$tipopago')";
    mysql_query($abonor);
    $id3=mysql_insert_id();
    mysql_query("DELETE * from abono_evento where id_abono='$id3'");
  }
if($abonando>=$preciohab1)
{

 
  $date = date('Y-m-d H:i:s');
  $abn=$abonando-$preciohab1;
  $abn3=$preciohab1-$abn;
   $abonandoalotro=$abonando-$preciohab1;
   $abodando=$abonando-$preciohab1;
   $abn1=$preciohab1-$abonandoalotro;
   $abn2=$preciohab1-$abn1;
   if($abonandoalotro<0) $abonandoalotro=0;
   $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,liquidado,fecha_liquid,abono2,restante2,fecha_abono2,tipo_pago2) "
           . "values ('$id','$abn3','0',curdate(),'$tipopago','1','$date','$abn2','$abn1',curdate(),'$tipopago')";
    mysql_query($abonor);
    $id_abo=  mysql_insert_id();
    

if($abonandoalotro>=$preciohab1){    
    $date2= date('Y-m-d H:i:s');
    $abn=$abonadoalotro-$preciohab1;
    $abonandoalotro=$abonandoalotro-$preciohab1;
    if($abonandoalotro<0) $abonandoalotro=0;
    $abonor="update abono_evento set liquidado2='1', fecha_liquid2='$date2' where id_abono='$id_abo'";
    mysql_query($abonor);

}}
}


  $x++;
}

// Transaccion
$buscarconsec="SELECT consec FROM cdconsec where idcd='$dato[0]' ";
$consecutivo=mysql_query($buscarconsec);

while($consecd=mysql_fetch_row($consecutivo))
{
$cdcon=$consecd[0]+1;
}
$transaccion = "INSERT INTO transacciones(inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
                  ) 
                  VALUES 
                  (
                    '$inversionistaid', '38',curdate(),curtime(),'$dato[0]', '$cdcon','$dato[0]', 'ENTREGADO', curdate(),'$totalant'
                   )";
mysql_query($transaccion);

$qPP = "update cdconsec set consec='$cdcon' where idcd=$dato[0]";
mysql_query($qPP);

//pagovta
  $qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$inversionistaid' and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
     $transac = $ra[0];
  };  
  
if($switchtipopago==3)
{
  $UpVoucher="update voucher set restante='$restante' where idv='$voucher'";
  mysql_query($UpVoucher)or die ('UpVoucher: '. mysql_error());
}

$qIP2 = "INSERT INTO pagovta
                  (  
                   idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
                  ) 
                  VALUES 
                  (
                    '$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp'
                   )";

mysql_query($qIP2);

// Depositos

  $qD = "INSERT INTO depositos
                  (  
                    centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
                  ) 
                  VALUES 
                  (
                    '$dato[0]', '$transac','$totalant','0','$ifolio','$ibanco',  '$ifecha',  '$tipop'
                   )";

mysql_query($qD);
$date2 = date("Y-m-d");
echo "<center>";
echo "<script> alert('La reservacion se ha realizado con exito , no olvides imprimir el comprobante');</script>";

echo "<form method='post' action='comprobanteevento.php' target='_blank'>";
echo "<input type='hidden' name='liq' value='$liquidadocounter'>";
echo "<input type='hidden' name='nombrecomp' value='$nn'>";
echo "<input type='hidden' name='anticipo' value='$totalant'> ";
echo "<input type='hidden' name='ticket' value='$cdcon'> ";
echo "<input type='hidden' name='apcomp' value='$ap'>";
echo "<input type='hidden' name='amcomp' value='$am'>";
echo "<input type='hidden' name='rfcgg' value='$rfcss'>";
echo "<input type='hidden' name='paykind' value='$tipopago'>";
echo "<input type='hidden' name='id_inver' value='$inversionistaid'>";
echo "<input type='hidden' value='$totalfinal' name='cuenta'>";
echo "<input type='hidden' value='$tipohab' name='habita'>";
echo "<input type='hidden' value='$numhab' name='habitanum'>";
echo "<input type='hidden' name='fechain' value='$date2'>";
echo "<input type='submit' value='Generar Comprobante'>";
echo "</form>";
echo "</center>";
   }
catch(exception $e)
   {
    echo $e;
   }
}

if(($_POST['registrpedrfc'])=='2')
{
     date_default_timezone_set("America/Mexico_City");
  $ifolio=0;
  $rfcss=$_POST['envirfc'];
  $totalant=$_POST['anti'];
  $totalfinal=$_POST['total'];
  $tipopago=$_POST['tipop'];
  $numhab=$_POST['numer'];
  $tipohab=$_POST['habi'];
  $nn=$_POST['nn'];
  $ap=$_POST['ap'];
  $am=$_POST['am'];
  $x=0;
  $banco=$_POST['banco'];
  $preciohab1=0;
  $abonando=$totalant;
 $inversionistaid=0000;
 $voucher=$_POST['vouchs'];

$switchtipopago=intval($tipopago);


$pago_ef=0; 
$pago_de=0; 
$pago_tc=0;
$pago_re=0; 
$pago_vo=0; 
$pago_xp=0;

 switch($switchtipopago)
        {
          
          case 0: $pago_ef=$totalant;
          $tipop="EFECTIVO"; 
          break;
          case 1: $pago_de=$totalant;
          $ifolio=$_POST['foliofic'];
          $tipop="DEPOSITO";
          if($banco=='4')
          {
            $ibanco=4;
          }
          else{
            $ibanco=3;
          }
          break;
          case 2: $pago_tc=$totalant;
          $tipop="TARJETA";
           break;
           case 3:
           $selectvoucher="SELECT * from voucher where idv='$voucher'";
           $QVou=mysql_query($selectvoucher);
           $ObVou=mysql_fetch_object($QVou);
           $restante=$ObVou->restante-$totalant;
           $pago_vo=$totalant;
           $tipop="VOUCHER";
           break;
     
          
        }


  $apartar="INSERT INTO Apartado (RFC,tipo_hab,costo,anticipo,fecha_ap,tipo_per,cd_venta) values ('$rfcss','$tipohab','$totalfinal','$totalant',curdate(),'5','$dato[0]')";
  $liquidadocounter=0;
  try{
   mysql_query($apartar);
   $id=mysql_insert_id();

while($x<$numhab)
{

if($tipohab=='1')
{

  $preciohab1=4500;
  if($abonando<$preciohab1)
  {
  $abn=$preciohab1-$abonando;//restante
  $abn1=$preciohab1-$abn;
  $abonando=$abonando-$preciohab1;
  if($abonando<0)
  {
    $abonando=0;
  }
  $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago) values ('$id','$abn1','$abn',curdate(),'$tipopago')";
  
  mysql_query($abonor);
}
if($abonando>=$preciohab1)
{
 $liquidadocounter++;
  $date = date('Y-m-d H:i:s');
  $abn=$abonando-$preciohab1;
   $abonando=$abonando-$preciohab1;
   $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,liquidado,fecha_liquid) values ('$id','$abn','0',curdate(),'$tipopago','1','$date')";
  mysql_query($abonor);

}

}
  

if($tipohab=='2')
{
  $preciohab1=3500;
  if($abonando<$preciohab1)
  {
  $abn=$preciohab1-$abonando;//restante
  $abn1=$preciohab1-$abn;
  $abonando=$abonando-$preciohab1;
  if($abonando<0)
  {
    $abonando=0;
  }
  $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,abono2,restante2,fecha_abono2,tipo_pago2) "
          . "values ('$id','$abn1','$abn',curdate(),'$tipopago','0','$preciohab1',curdate(),'$tipopago')";
    mysql_query($abonor);
    $id3=mysql_insert_id();
    mysql_query("DELETE * from abono_evento where id_abono='$id3'");
  }
if($abonando>=$preciohab1)
{

 
  $date = date('Y-m-d H:i:s');
  $abn=$abonando-$preciohab1;
  $abn3=$preciohab1-$abn;
   $abonandoalotro=$abonando-$preciohab1;
   $abodando=$abonando-$preciohab1;
   $abn1=$preciohab1-$abonandoalotro;
   $abn2=$preciohab1-$abn1;
   if($abonandoalotro<0) $abonandoalotro=0;
   $abonor="INSERT INTO abono_evento (id_ap,abono,restante,fecha_abono,tipo_pago,liquidado,fecha_liquid,abono2,restante2,fecha_abono2,tipo_pago2) "
           . "values ('$id','$abn3','0',curdate(),'$tipopago','1','$date','$abn2','$abn1',curdate(),'$tipopago')";
    mysql_query($abonor);
    $id_abo=  mysql_insert_id();
    

if($abonandoalotro>=$preciohab1){    
    $date2= date('Y-m-d H:i:s');
    $abn=$abonadoalotro-$preciohab1;
    $abonandoalotro=$abonandoalotro-$preciohab1;
    if($abonandoalotro<0) $abonandoalotro=0;
    $abonor="update abono_evento set liquidado2='1', fecha_liquid2='$date2' where id_abono='$id_abo'";
    mysql_query($abonor);

}}
}


  $x++;
}

// Transaccion
$buscarconsec="SELECT consec FROM cdconsec where idcd='$dato[0]' ";
$consecutivo=mysql_query($buscarconsec);

while($consecd=mysql_fetch_row($consecutivo))
{
$cdcon=$consecd[0]+1;
}
$transaccion = "INSERT INTO transacciones(tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
                  ) 
                  VALUES 
                  (
                    '38',curdate(),curtime(),'$dato[0]', '$cdcon','$dato[0]', 'ENTREGADO', curdate(),'$totalant'
                   )";
mysql_query($transaccion);
$transac=mysql_insert_id();
$qPP = "update cdconsec set consec='$cdcon' where idcd=$dato[0]";
mysql_query($qPP);

//pagovta
 /*$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$inversionistaid' and fechat= curdate() order by horat ASC";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());
   while($ra = mysql_fetch_row($ca))
   {
     $transac = $ra[0];
  };  
 */ 
if($switchtipopago==3)
{
  $UpVoucher="update voucher set restante='$restante' where idv='$voucher'";
  mysql_query($UpVoucher)or die ('UpVoucher: '. mysql_error());
}

$qIP2 = "INSERT INTO pagovta
                  (  
                   idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
                  ) 
                  VALUES 
                  (
                    '$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp'
                   )";

mysql_query($qIP2);

// Depositos

  $qD = "INSERT INTO depositos
                  (  
                    centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
                  ) 
                  VALUES 
                  (
                    '$dato[0]', '$transac','$totalant','0','$ifolio','$ibanco',  '$ifecha',  '$tipop'
                   )";

mysql_query($qD);
$date2 = date("Y-m-d");
echo "<center>";
echo "<script> alert('La reservacion se ha realizado con exito , no olvides imprimir el comprobante');</script>";

echo "<form method='post' action='comprobanteevento.php' target='_blank'>";
echo "<input type='hidden' name='liq' value='$liquidadocounter'>";
echo "<input type='hidden' name='nombrecomp' value='$nn'>";
echo "<input type='hidden' name='anticipo' value='$totalant'> ";
echo "<input type='hidden' name='ticket' value='$cdcon'> ";
echo "<input type='hidden' name='apcomp' value='$ap'>";
echo "<input type='hidden' name='amcomp' value='$am'>";
echo "<input type='hidden' name='rfcgg' value='$rfcss'>";
echo "<input type='hidden' name='paykind' value='$tipopago'>";
echo "<input type='hidden' value='$totalfinal' name='cuenta'>";
echo "<input type='hidden' value='$tipohab' name='habita'>";
echo "<input type='hidden' value='$numhab' name='habitanum'>";
echo "<input type='hidden' name='fechain' value='$date2'>";
echo "<input type='submit' value='Generar Comprobante'>";
echo "</form>";
echo "</center>";
   }
catch(exception $e)
   {
    echo $e;
   }
}



?>
